IP Detection
WHOIS API
域名的注册记录。
获取 WHOIS 记录
GET/v1/whois/{domain}
API 密钥
参数
- domainstring路径必填
域名。
响应字段
- domainstring
域名。
- registrarstring
域名注册商。
- registeredOnstring
注册日期。
- expiresOnstring
到期日期。
- lastUpdatedstring
记录最后变更的日期。
- nameserversstring[]
记录中的域名服务器。
- statusstring[]
EPP 状态码。
- privacyProtectionboolean
注册人信息被隐藏时为 true。
curl https://ipscanner.io/v1/whois/example.com \
-H "Authorization: Bearer YOUR_API_KEY"响应
{
"domain": "example.com",
"registrar": "RESERVED-Internet Assigned Numbers Authority",
"registeredOn": "1995-08-14T04:00:00Z",
"expiresOn": "2027-08-13T04:00:00Z",
"lastUpdated": "2025-08-14T07:01:39Z",
"nameservers": [
"a.iana-servers.net",
"b.iana-servers.net"
],
"status": [
"clientDeleteProhibited",
"clientTransferProhibited",
"clientUpdateProhibited"
],
"privacyProtection": false
}